%define dotests 1
Name:           mkfontscale
Version:        1.2.2
Release:        1
Summary:        Utility to create index of scalable font files for X
License:        MIT
Group:          System/X11/Utilities
URL:            https://www.x.org
Source0:        https://www.x.org/releases/individual/app/%{name}-%{version}.tar.gz
BuildRequires:  pkg-config >= 0.29.2
BuildRequires:  zlib-devel >= 1.2.13
BuildRequires:  libfontenc >= 1.1.3
BuildRequires:  freetype2 >= 2.12.1
BuildRequires:  xproto-devel >= 7.0.25
BuildRequires:  rpm-macros-tbox-compilers >= 1.0

Requires: zlib >= 1.2.13
Requires: freetype2 >= 2.12.1
Requires: libfontenc >= 1.1.3


# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
mkfontscale creates the fonts.scale and fonts.dir index files used by the
legacy X11 font system.

%prep
export PATH=/opt/freeware/bin/:$PATH
%setup -q
# Duplicate source for 32 & 64 bits
rm -rf   /tmp/%{name}-%{version}-32bit
cp -pr . /tmp/%{name}-%{version}-32bit
rm -fr *
mv       /tmp/%{name}-%{version}-32bit 32bit
cp -pr 32bit 64bit


%build

# first build the 64-bit version
cd 64bit
export OBJECT_MODE=64
export CC="%{__cc__} -maix64"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} 

make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
    then
        ( gmake -k check || true )
        /usr/sbin/slibclean
fi

# now build the 32-bit version
cd ../32bit
export OBJECT_MODE=32
export CC="%{__cc__} -maix32 -D_LARGE_FILES"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"
./configure \
    --prefix=%{_prefix} \
    --mandir=%{_mandir} 

make %{?_smp_mflags}

if [ "%{dotests}" == 1 ]
   then
      ( gmake -k check || true )
      /usr/sbin/slibclean
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
cd 64bit
export OBJECT_MODE=64

make DESTDIR=${RPM_BUILD_ROOT} install
mv ${RPM_BUILD_ROOT}%{_bindir}/mkfontscale ${RPM_BUILD_ROOT}%{_bindir}/mkfontscale_64

cd ../32bit
export OBJECT_MODE=32
make DESTDIR=${RPM_BUILD_ROOT} install

(
   cd  ${RPM_BUILD_ROOT}%{_bindir}
   for fic in $(ls -1| grep -v -e _32 -e _64)
   do
       mv $fic "$fic"_32
       ln -sf "$fic"_64 $fic
    done
)

%files
%defattr(-,root,system,-)
%doc 32bit/ChangeLog 32bit/COPYING 32bit/README.md
%{_bindir}/*
%{_mandir}/man1/mkfontscale.1%{?ext_man}

%changelog
* Fri Nov 24 2023 Ranjit Ranjan <ranjit.ranjan@ibm.com> 1.2.2-1 
- Update to 1.2.2.

* Mon Sep 03 2018 Ravi Hirekurabar <rhirekur@in.ibm.com> 
- Inital port on aix
